org.apache.ignite.internal.client.thin.io

## Interface ClientConnection

All Superinterfaces:
  AutoCloseable

    public interface ClientConnection
    extends AutoCloseable

Client connection: abstracts away sending and receiving messages.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()` Closes the connection.
`void` `send(ByteBuffer msg)` Sends a message.

### Method Detail

#### send

    void send(ByteBuffer msg)
       throws IgniteCheckedException

Sends a message.

Parameters:
  `msg` - Message buffer.
Throws:
  `IgniteCheckedException`

#### close

    void close()

Closes the connection.

Specified by:
  `close` in interface `AutoCloseable`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022